/*
  +----------------------------------------------------------------------+
  | PHP Version 6                                                        |
  +----------------------------------------------------------------------+
  | Copyright (c) 1997-2007 The PHP Group                                |
  +----------------------------------------------------------------------+
  | This source file is subject to version 3.01 of the PHP license,      |
  | that is bundled with this package in the file LICENSE, and is        |
  | available through the world-wide-web at the following url:           |
  | http://www.php.net/license/3_01.txt                                  |
  | If you did not receive a copy of the PHP license and are unable to   |
  | obtain it through the world-wide-web, please send a note to          |
  | license@php.net so we can mail you a copy immediately.               |
  +----------------------------------------------------------------------+
  | Authors: Georg Richter <georg@mysql.com>                             |
  |          Andrey Hristov <andrey@mysql.com>                           |
  |          Ulf Wendel <uwendel@mysql.com>                              |
  +----------------------------------------------------------------------+

*/

/* Global types and definitions*/
#define MYSQL_NO_DATA			MYSQLND_NO_DATA
#define MYSQL_DATA_TRUNCATED	MYSQLND_DATA_TRUNCATED
#define MYSQL_STMT				MYSQLND_STMT
#define MYSQL_FIELD				MYSQLND_FIELD
#define MYSQL_RES				MYSQLND_RES
#define MYSQL_ROW				MYSQLND_ROW
#define MYSQL					MYSQLND
#define my_bool					zend_bool
#define my_ulonglong			mynd_ulonglong

#define MYSQL_VERSION_ID		MYSQLND_VERSION_ID
#define MYSQL_SERVER_VERSION	MYSQLND_VERSION
#define MYSQL_ERRMSG_SIZE		MYSQLND_ERRMSG_SIZE
#define SQLSTATE_LENGTH			MYSQLND_SQLSTATE_LENGTH

#define SERVER_QUERY_NO_GOOD_INDEX_USED	MYSQLND_SERVER_QUERY_NO_GOOD_INDEX_USED	
#define SERVER_QUERY_NO_INDEX_USED		MYSQLND_SERVER_QUERY_NO_INDEX_USED


/* functions */
#define mysql_affected_rows(r)			mysqlnd_affected_rows(r)
#define mysql_autocommit(r,m)			mysqlnd_autocommit(r,m TSRMLS_CC)
#define mysql_change_user(r,a,b,c)		mysqlnd_change_user(r,a,b,c TSRMLS_CC)
#define mysql_close(r)					mysqlnd_close(r TSRMLS_CC)
#define mysql_commit(r)					mysqlnd_commit(r TSRMLS_CC)
#define mysql_data_seek(r,o)			mysqlnd_data_seek(r,o)
#define mysql_dump_debug_info(r)		mysqlnd_dump_debug_info(r TSRMLS_CC)
#define mysql_errno(r)					mysqlnd_errno(r)
#define mysql_error(r)					mysqlnd_error(r)
#define mysql_fetch_field(r)			mysqlnd_fetch_field(r)
#define mysql_fetch_field_direct(r,o)	mysqlnd_fetch_field_direct(r,o)
#define mysql_fetch_lengths(r)			mysqlnd_fetch_lengths(r TSRMLS_CC)
#define mysql_fetch_row(r)				mysqlnd_fetch_row(r)
#define mysql_field_count(r)			mysqlnd_field_count(r)
#define mysql_field_seek(r,o)			mysqlnd_field_seek(r,o)
#define mysql_field_tell(r)				mysqlnd_field_tell(r)
#define mysql_init(a)					mysqlnd_init(a)
#define mysql_insert_id(r)				mysqlnd_insert_id(r)
#define mysql_kill(r,n)					mysqlnd_kill(r,n TSRMLS_CC)
#define mysql_more_results(r)			mysqlnd_more_results(r)
#define mysql_next_result(r)			mysqlnd_next_result(r TSRMLS_CC)
#define mysql_num_fields(r)				mysqlnd_num_fields(r)
#define mysql_num_rows(r)				mysqlnd_num_rows(r)
#define mysql_ping(r)					mysqlnd_ping(r TSRMLS_CC)
#define mysql_real_escape_string(r,a,b,c) mysqlnd_real_escape_string(r,a,b,c TSRMLS_CC)
#define mysql_real_query(r,a,b)			mysqlnd_query(r,a,b TSRMLS_CC)
#define mysql_rollback(r)				mysqlnd_rollback(r TSRMLS_CC)
#define mysql_select_db(r,a)			mysqlnd_select_db(r,a,strlen(a) TSRMLS_CC)
#define mysql_set_server_option(r,o)	mysqlnd_set_server_option(r,o TSRMLS_CC)
#define mysql_set_character_set(r,a)	mysqlnd_set_charset(r,a TSRMLS_CC)
#define mysql_sqlstate(r)				mysqlnd_sqlstate(r)
#define mysql_stmt_affected_rows(r)		mysqlnd_stmt_affected_rows(r)
#define mysql_stmt_close(r)				mysqlnd_stmt_close(r TSRMLS_CC)
#define mysql_stmt_errno(r)				mysqlnd_stmt_errno(r TSRMLS_CC)
#define mysql_stmt_error(r)				mysqlnd_stmt_error(r TSRMLS_CC)
#define mysql_stmt_sqlstate(r)			mysqlnd_stmt_sqlstate(r TSRMLS_CC)
#define mysql_stmt_prepare(r,q,l)		mysqlnd_stmt_prepare(r,q,l TSRMLS_CC)
#define mysql_info(r)					mysqlnd_info(r)
#define mysql_options(r,a,b)			mysqlnd_options(r,a,b)
#define mysql_stmt_init(r)				mysqlnd_stmt_init(r)
#define mysql_free_result(r)			mysqlnd_free_result(r TSRMLS_CC)
#define mysql_store_result(r)			mysqlnd_store_result(r TSRMLS_CC)
#define mysql_use_result(r)				mysqlnd_use_result(r TSRMLS_CC)
#define mysql_thread_id(r)				mysqlnd_thread_id(r)
#define mysql_get_client_info			mysqlnd_get_client_info
#define mysql_get_client_version		mysqlnd_get_client_version
#define mysql_get_host_info(r)			mysqlnd_get_host_info(r)
#define mysql_get_proto_info(r)			mysqlnd_get_proto_info(r)
#define mysql_get_server_info(r)		mysqlnd_get_server_info(r)
#define mysql_get_server_version(r)		mysqlnd_get_server_version(r)
#define mysql_warning_count(r)			mysqlnd_warning_count(r)
